package com.css.simulation.resource.scene.ctrl;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.scene.SceneNaturalNewParam;
import api.common.pojo.param.scene.SceneNaturalParam;
import api.common.pojo.po.scene.SceneNaturalPO;
import api.common.pojo.vo.scene.SceneNaturalVO;
import com.css.simulation.resource.common.utils.PageUtil;
import com.css.simulation.resource.scene.service.SceneNaturalService;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.BeanUtils;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

//自然场景
@RestController
@RequestMapping("/SceneNatural")
public class SceneNaturalController {

    @Resource
    SceneNaturalService sceneNaturalService;

    //查询列表
    @PostMapping("/querySceneNaturalList")
    @ResponseBody
    public ResponseBodyVO<List<SceneNaturalVO>> querySceneNaturalList(@RequestBody SceneNaturalNewParam parms) {
        PageUtil.setPageInfo(parms);
        List<SceneNaturalPO> list = sceneNaturalService.querySceneNaturalList(parms);
        PageInfo<SceneNaturalPO> objectPageInfo = new PageInfo<>(list);
        List<SceneNaturalVO> list1 = new ArrayList<>();
        for (SceneNaturalPO po : list) {
            SceneNaturalVO vo = new SceneNaturalVO();
            BeanUtils.copyProperties(po, vo);
            list1.add(vo);
        }
        PageInfo pageInfo = new PageInfo<>(list1);
        pageInfo.setTotal(objectPageInfo.getTotal());
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS, pageInfo);
    }


    //新增自然场景
    @PostMapping("/saveSceneNatural")
    @ResponseBody
    public ResponseBodyVO<String> saveSceneNatural(@RequestBody SceneNaturalParam parms) {

        return sceneNaturalService.importZrjsSceneCicv(parms);
    }

    //删除
    @PostMapping("/deleteSceneNatural")
    @ResponseBody
    public ResponseBodyVO<String> deleteSceneNatural(@RequestBody SceneNaturalPO parms) {
        sceneNaturalService.deleteSceneNatural(parms);
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS);
    }

    //首页查询场景数量
    @PostMapping("/querySceneNumBySy")
    @ResponseBody
    public ResponseBodyVO<Integer> querySceneNumBySy() {
        Integer a=sceneNaturalService.querySceneNumBySy();
        return new ResponseBodyVO(ResponseBodyVO.Response.SUCCESS,a);
    }


}